--- old/usr/src/cmd/mdb/common/modules/ip/ip.c	2012-08-08 12:42:02.417153632 +0000
+++ new/usr/src/cmd/mdb/common/modules/ip/ip.c	2012-08-08 12:42:02.474338133 +0000
@@ -341,7 +341,7 @@
 
 /*
  * Generic network stack walker initialization function.  It is used by all
- * other netwrok stack walkers.
+ * other network stack walkers.
  */
 int
 ns_walk_init(mdb_walk_state_t *wsp)
@@ -374,6 +374,15 @@
 }
 
 /*
+ * DCCP network stack walker stepping function.
+ */
+int
+dccp_stacks_walk_step(mdb_walk_state_t *wsp)
+{
+	return (ns_walk_step(wsp, NS_DCCP));
+}
+
+/*
  * IP network stack walker stepping function.
  */
 int
@@ -1953,6 +1962,8 @@
 		nce_walk_init, nce_walk_step, NULL },
 	{ "dce", "walk active dce_t structures",
 		dce_walk_init, dce_walk_step, NULL },
+	{ "dccp_stacks", "walk all the dccp_stack_t",
+		ns_walk_init, dccp_stacks_walk_step, NULL },
 	{ "ip_stacks", "walk all the ip_stack_t",
 		ns_walk_init, ip_stacks_walk_step, NULL },
 	{ "tcp_stacks", "walk all the tcp_stack_t",
